$Id$
Notes deployment API JOnAS 
authors Christophe Ney & Helene Joanin

Source Tree
-----------

PACKAGE org.objectweb.jonas_ejb.deployment :

This package contains DTDsthat are relevant to deployment of EJBs in JonAS.
DTDs are used by the parser for validation of XML generic/JonAS specific,
deployment descriptor XML files.


PACKAGE org.objectweb.jonas_ejb.deployment.api:

This package contains the API to be used by the tools for generation of 
container interposition classes and by the server for loading the bean.
The only object to instanciate is the DeploymentDesc, it requires a 
classloader that can load both  generic/JOnAS specific deployment 
descriptor XML files and bean classes (home, remote and bean).


PACKAGE org.objectweb.jonas_ejb.deployment.xml

This package has been generated with the Zeus framework version beta 3.1
Generation of the source is done as follow:

	java	-cp $(ROOT)/externals/xml/zeus.jar:$(ROOT)/externals/xml/jdom.jar:$(ROOT)/externals/xml/dtdparser113.jar:$(ROOT)/externals/xml/xerces.jar \
		org.enhydra.zeus.util.DTDSourceGenerator \
		-constraints=../jonas-ejb-jar_2_4.dtd \
		-javaPackage=org.objectweb.jonas_ejb.deployment.xml \
		-outputDir=$(ROOT)/src
	java	-cp $(ROOT)/externals/xml/zeus.jar:$(ROOT)/externals/xml/jdom.jar:$(ROOT)/externals/xml/dtdparser113.jar:$(ROOT)/externals/xml/xerces.jar \
		 org.enhydra.zeus.util.DTDSourceGenerator \
		-constraints=../ejb-jar_2_0.dtd \
		-javaPackage=org.objectweb.jonas_ejb.deployment.xml \
		-outputDir=$(ROOT)/src

Note that the MethodParams*.java generated classes must be those generated from ejb-jar_2_0.dtd

Required API
------------

+ Zeus version beta 3.1
     http://zeus.enhydra.org/
+ Xerces parser version 1.3.0
     http://xml.apache.org/xerces-j/index.html



Christophe Ney
mailto:cney@lutris.com

Helene Joanin
mailto:Helene.Joanin@evidian.com

